
package de.ivu.elect.presentation.wahl.menu;

import javax.inject.Inject;

import de.ivu.elect.business.wahl.entity.WahlMeta;
import de.ivu.elect.jee.entity.Meta;
import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.exchange.menu.AbstractExportMenuItemEntry;
import de.ivu.elect.presentation.wahl.exchange.WahlExportDescription;

public class WahlExportMenuItemEntry extends AbstractExportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient WahlMeta wahlMeta;

  @Inject
  private transient WahlExportDescription wahlExportDescription;

  public WahlExportMenuItemEntry() {
    super();
  }

  @Override
  protected ExportDescription getExportDescription() {
    return wahlExportDescription;
  }

  @Override
  public String getLabel() {
    return getMessage(getLabelKey(), getMeta().getEinzahlMessage());
  }

  @Override
  protected Meta getMeta() {
    return wahlMeta;
  }
}
